> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Ignore User > Ignore or unignore a user in chat. ### Changelog | Version | Description | | ------------ | ------------| | 0.64.0 | Added | ## OpenAPI ````json GET /api/v1/chat.ignoreUser { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Messaging" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Chat" }, { "name": "Direct Messages" }, { "name": "Auto-Translate" } ], "paths": { "/api/v1/chat.ignoreUser": { "get": { "tags": [ "Chat" ], "summary": "Ignore User", "description": "Ignore or unignore a user in chat.\n\n\n### Changelog\n| Version | Description | \n| ------------ | ------------|\n| 0.64.0 | Added |", "operationId": "get-api-v1-chat.ignoreUser", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "name": "rid", "in": "query", "description": "The room ID.", "required": true, "schema": { "type": "string" } }, { "name": "userId", "in": "query", "description": "The user ID.", "required": true, "schema": { "type": "string" } }, { "name": "ignore", "in": "query", "description": "If the user is to be ignored or not, default is true.", "schema": { "type": "boolean" }, "required": true } ], "responses": { "200": { "$ref": "#/components/responses/trueSuccess" }, "401": { "$ref": "#/components/responses/authorizationError" }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } } }, "examples": { "Missing RoomId": { "value": { "success": false, "error": "The required \"rid\" param is missing. [error-room-id-param-not-provided]", "errorType": "error-room-id-param-not-provided" } }, "Missing UserId": { "value": { "success": false, "error": "The required \"userId\" param is missing. [error-user-id-param-not-provided]", "errorType": "error-user-id-param-not-provided" } }, "Invalid room or user ID": { "value": { "success": false, "error": "Invalid subscription [error-invalid-subscription]", "errorType": "error-invalid-subscription", "details": { "method": "ignoreUser" } } } } } } } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "trueSuccess": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "success": true } } } } } }, "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````